購読者ログ

GET https://pushye.com/api/subscribers-logs/
curl --request GET \
--url 'https://pushye.com/api/subscribers-logs/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search オプション 文字列 検索文字列。
search_by オプション 文字列 検索するフィールドは何ですか。許可されている値は:ip
type オプション 文字列 許可された値: clicked_notification, closed_notification, displayed_notification, expired_deleted, manually_deleted, permission_denied, push_notification_sent, subscribed, unsubscribed
website_id オプション 整数
datetime_field オプション 文字列 許可された値: datetime
datetime_start オプション 文字列 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end オプション 文字列 Filter results up to this datetime. Y-m-d H:i:s format.
order_by オプション 文字列 結果をどのフィールドで並べ替えるか。許可されている値は:subscriber_log_id, datetime
order_type オプション 文字列 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。
page オプション 整数 結果を取得したいページ番号。デフォルトは1です。
results_per_page オプション 整数 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。
{
    "data": [
        {
            "id": 1,
            "subscriber_id": 1,
            "campaign_id": 0,
            "flow_id": 0,
            "personal_notification_id": 1,
            "website_id": 1,
            "user_id": 1,
            "ip": "123.123.123.123",
            "type": "clicked_notification",
            "datetime": "2026-04-28 17:01:23",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushye.com/api/subscribers-logs?page=1",
        "last": "https://pushye.com/api/subscribers-logs?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/subscribers-logs?page=1"
    }
}